Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040Observation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040ObservationImpl

    public interface POCDMT000040Observation

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Observation'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Id`
- `Code`
- `Derivation Expr`
- `Text`
- `Status Code`
- `Effective Time`
- `Priority Code`
- `Repeat Number`
- `Language Code`
- `Value`
- `Interpretation Code`
- `Method Code`
- `Target Site Code`
- `Subject`
- `Specimen`
- `Performer`
- `Author`
- `Informant`
- `Participant`
- `Entry Relationship`
- `Reference`
- `Precondition`
- `Reference Range`
- `Class Code`
- `Mood Code`
- `Negation Ind`
- `Null Flavor`

See Also:
  `CDAR2Package.getPOCDMT000040Observation()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAuthor()` Returns the value of the 'Author' containment reference list.
`org.eclipse.emf.common.util.Enumerator` | `getClassCode()` Returns the value of the 'Class Code' attribute.
`CD` | `getCode()` Returns the value of the 'Code' containment reference.
`ST1` | `getDerivationExpr()` Returns the value of the 'Derivation Expr' containment reference.
`IVLTS` | `getEffectiveTime()` Returns the value of the 'Effective Time' containment reference.
`org.eclipse.emf.common.util.EList` | `getEntryRelationship()` Returns the value of the 'Entry Relationship' containment reference list.
`org.eclipse.emf.common.util.EList` | `getId()` Returns the value of the 'Id' containment reference list.
`org.eclipse.emf.common.util.EList` | `getInformant()` Returns the value of the 'Informant' containment reference list.
`org.eclipse.emf.common.util.EList` | `getInterpretationCode()` Returns the value of the 'Interpretation Code' containment reference list.
`CS1` | `getLanguageCode()` Returns the value of the 'Language Code' containment reference.
`org.eclipse.emf.common.util.EList` | `getMethodCode()` Returns the value of the 'Method Code' containment reference list.
`XActMoodDocumentObservation` | `getMoodCode()` Returns the value of the 'Mood Code' attribute.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getParticipant()` Returns the value of the 'Participant' containment reference list.
`org.eclipse.emf.common.util.EList` | `getPerformer()` Returns the value of the 'Performer' containment reference list.
`org.eclipse.emf.common.util.EList` | `getPrecondition()` Returns the value of the 'Precondition' containment reference list.
`CE` | `getPriorityCode()` Returns the value of the 'Priority Code' containment reference.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`org.eclipse.emf.common.util.EList` | `getReference()` Returns the value of the 'Reference' containment reference list.
`org.eclipse.emf.common.util.EList` | `getReferenceRange()` Returns the value of the 'Reference Range' containment reference list.
`IVLINT` | `getRepeatNumber()` Returns the value of the 'Repeat Number' containment reference.
`org.eclipse.emf.common.util.EList` | `getSpecimen()` Returns the value of the 'Specimen' containment reference list.
`CS1` | `getStatusCode()` Returns the value of the 'Status Code' containment reference.
`POCDMT000040Subject` | `getSubject()` Returns the value of the 'Subject' containment reference.
`org.eclipse.emf.common.util.EList` | `getTargetSiteCode()` Returns the value of the 'Target Site Code' containment reference list.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`ED` | `getText()` Returns the value of the 'Text' containment reference.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`org.eclipse.emf.common.util.EList` | `getValue()` Returns the value of the 'Value' containment reference list.
`boolean` | `isNegationInd()` Returns the value of the 'Negation Ind' attribute.
`boolean` | `isSetMoodCode()` Returns whether the value of the '`Mood Code`' attribute is set.
`boolean` | `isSetNegationInd()` Returns whether the value of the '`Negation Ind`' attribute is set.
`void` | `setClassCode(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Class Code`' attribute.
`void` | `setCode(CD value)` Sets the value of the '`Code`' containment reference.
`void` | `setDerivationExpr(ST1 value)` Sets the value of the '`Derivation Expr`' containment reference.
`void` | `setEffectiveTime(IVLTS value)` Sets the value of the '`Effective Time`' containment reference.
`void` | `setLanguageCode(CS1 value)` Sets the value of the '`Language Code`' containment reference.
`void` | `setMoodCode(XActMoodDocumentObservation value)` Sets the value of the '`Mood Code`' attribute.
`void` | `setNegationInd(boolean value)` Sets the value of the '`Negation Ind`' attribute.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setPriorityCode(CE value)` Sets the value of the '`Priority Code`' containment reference.
`void` | `setRepeatNumber(IVLINT value)` Sets the value of the '`Repeat Number`' containment reference.
`void` | `setStatusCode(CS1 value)` Sets the value of the '`Status Code`' containment reference.
`void` | `setSubject(POCDMT000040Subject value)` Sets the value of the '`Subject`' containment reference.
`void` | `setText(ED value)` Sets the value of the '`Text`' containment reference.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetMoodCode()` Unsets the value of the '`Mood Code`' attribute.
`void` | `unsetNegationInd()` Unsets the value of the '`Negation Ind`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040Observation_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_TemplateId()`

### getId

    org.eclipse.emf.common.util.EList getId()

  Returns the value of the 'Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Id()`

### getCode

    CD getCode()

  Returns the value of the 'Code' containment reference.

  If the meaning of the 'Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Code' containment reference.
  See Also:
    `setCode(CD)`, `CDAR2Package.getPOCDMT000040Observation_Code()`

### setCode

    void setCode(CD value)

  Sets the value of the '`Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Code' containment reference.
  See Also:
    `getCode()`

### getDerivationExpr

    ST1 getDerivationExpr()

  Returns the value of the 'Derivation Expr' containment reference.

  If the meaning of the 'Derivation Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Derivation Expr' containment reference.
  See Also:
    `setDerivationExpr(ST1)`, `CDAR2Package.getPOCDMT000040Observation_DerivationExpr()`

### setDerivationExpr

    void setDerivationExpr(ST1 value)

  Sets the value of the '`Derivation Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Derivation Expr' containment reference.
  See Also:
    `getDerivationExpr()`

### getText

    ED getText()

  Returns the value of the 'Text' containment reference.

  If the meaning of the 'Text' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Text' containment reference.
  See Also:
    `setText(ED)`, `CDAR2Package.getPOCDMT000040Observation_Text()`

### setText

    void setText(ED value)

  Sets the value of the '`Text`' containment reference.

  Parameters:
    `value` - the new value of the 'Text' containment reference.
  See Also:
    `getText()`

### getStatusCode

    CS1 getStatusCode()

  Returns the value of the 'Status Code' containment reference.

  If the meaning of the 'Status Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Status Code' containment reference.
  See Also:
    `setStatusCode(CS1)`, `CDAR2Package.getPOCDMT000040Observation_StatusCode()`

### setStatusCode

    void setStatusCode(CS1 value)

  Sets the value of the '`Status Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Status Code' containment reference.
  See Also:
    `getStatusCode()`

### getEffectiveTime

    IVLTS getEffectiveTime()

  Returns the value of the 'Effective Time' containment reference.

  If the meaning of the 'Effective Time' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Effective Time' containment reference.
  See Also:
    `setEffectiveTime(IVLTS)`, `CDAR2Package.getPOCDMT000040Observation_EffectiveTime()`

### setEffectiveTime

    void setEffectiveTime(IVLTS value)

  Sets the value of the '`Effective Time`' containment reference.

  Parameters:
    `value` - the new value of the 'Effective Time' containment reference.
  See Also:
    `getEffectiveTime()`

### getPriorityCode

    CE getPriorityCode()

  Returns the value of the 'Priority Code' containment reference.

  If the meaning of the 'Priority Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Priority Code' containment reference.
  See Also:
    `setPriorityCode(CE)`, `CDAR2Package.getPOCDMT000040Observation_PriorityCode()`

### setPriorityCode

    void setPriorityCode(CE value)

  Sets the value of the '`Priority Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Priority Code' containment reference.
  See Also:
    `getPriorityCode()`

### getRepeatNumber

    IVLINT getRepeatNumber()

  Returns the value of the 'Repeat Number' containment reference.

  If the meaning of the 'Repeat Number' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Repeat Number' containment reference.
  See Also:
    `setRepeatNumber(IVLINT)`, `CDAR2Package.getPOCDMT000040Observation_RepeatNumber()`

### setRepeatNumber

    void setRepeatNumber(IVLINT value)

  Sets the value of the '`Repeat Number`' containment reference.

  Parameters:
    `value` - the new value of the 'Repeat Number' containment reference.
  See Also:
    `getRepeatNumber()`

### getLanguageCode

    CS1 getLanguageCode()

  Returns the value of the 'Language Code' containment reference.

  If the meaning of the 'Language Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Language Code' containment reference.
  See Also:
    `setLanguageCode(CS1)`, `CDAR2Package.getPOCDMT000040Observation_LanguageCode()`

### setLanguageCode

    void setLanguageCode(CS1 value)

  Sets the value of the '`Language Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Language Code' containment reference.
  See Also:
    `getLanguageCode()`

### getValue

    org.eclipse.emf.common.util.EList getValue()

  Returns the value of the 'Value' containment reference list. The list contents are of type `ANY`.

  If the meaning of the 'Value' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Value()`

### getInterpretationCode

    org.eclipse.emf.common.util.EList getInterpretationCode()

  Returns the value of the 'Interpretation Code' containment reference list. The list contents are of type `CE`.

  If the meaning of the 'Interpretation Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Interpretation Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_InterpretationCode()`

### getMethodCode

    org.eclipse.emf.common.util.EList getMethodCode()

  Returns the value of the 'Method Code' containment reference list. The list contents are of type `CE`.

  If the meaning of the 'Method Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Method Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_MethodCode()`

### getTargetSiteCode

    org.eclipse.emf.common.util.EList getTargetSiteCode()

  Returns the value of the 'Target Site Code' containment reference list. The list contents are of type `CD`.

  If the meaning of the 'Target Site Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Site Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_TargetSiteCode()`

### getSubject

    POCDMT000040Subject getSubject()

  Returns the value of the 'Subject' containment reference.

  If the meaning of the 'Subject' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Subject' containment reference.
  See Also:
    `setSubject(POCDMT000040Subject)`, `CDAR2Package.getPOCDMT000040Observation_Subject()`

### setSubject

    void setSubject(POCDMT000040Subject value)

  Sets the value of the '`Subject`' containment reference.

  Parameters:
    `value` - the new value of the 'Subject' containment reference.
  See Also:
    `getSubject()`

### getSpecimen

    org.eclipse.emf.common.util.EList getSpecimen()

  Returns the value of the 'Specimen' containment reference list. The list contents are of type `POCDMT000040Specimen`.

  If the meaning of the 'Specimen' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specimen' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Specimen()`

### getPerformer

    org.eclipse.emf.common.util.EList getPerformer()

  Returns the value of the 'Performer' containment reference list. The list contents are of type `POCDMT000040Performer2`.

  If the meaning of the 'Performer' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Performer' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Performer()`

### getAuthor

    org.eclipse.emf.common.util.EList getAuthor()

  Returns the value of the 'Author' containment reference list. The list contents are of type `POCDMT000040Author`.

  If the meaning of the 'Author' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Author' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Author()`

### getInformant

    org.eclipse.emf.common.util.EList getInformant()

  Returns the value of the 'Informant' containment reference list. The list contents are of type `POCDMT000040Informant12`.

  If the meaning of the 'Informant' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Informant' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Informant()`

### getParticipant

    org.eclipse.emf.common.util.EList getParticipant()

  Returns the value of the 'Participant' containment reference list. The list contents are of type `POCDMT000040Participant2`.

  If the meaning of the 'Participant' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Participant' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Participant()`

### getEntryRelationship

    org.eclipse.emf.common.util.EList getEntryRelationship()

  Returns the value of the 'Entry Relationship' containment reference list. The list contents are of type `POCDMT000040EntryRelationship`.

  If the meaning of the 'Entry Relationship' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Entry Relationship' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_EntryRelationship()`

### getReference

    org.eclipse.emf.common.util.EList getReference()

  Returns the value of the 'Reference' containment reference list. The list contents are of type `POCDMT000040Reference`.

  If the meaning of the 'Reference' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Reference' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Reference()`

### getPrecondition

    org.eclipse.emf.common.util.EList getPrecondition()

  Returns the value of the 'Precondition' containment reference list. The list contents are of type `POCDMT000040Precondition`.

  If the meaning of the 'Precondition' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Precondition' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Precondition()`

### getReferenceRange

    org.eclipse.emf.common.util.EList getReferenceRange()

  Returns the value of the 'Reference Range' containment reference list. The list contents are of type `POCDMT000040ReferenceRange`.

  If the meaning of the 'Reference Range' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Reference Range' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_ReferenceRange()`

### getClassCode

    org.eclipse.emf.common.util.Enumerator getClassCode()

  Returns the value of the 'Class Code' attribute.

  If the meaning of the 'Class Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `setClassCode(Enumerator)`, `CDAR2Package.getPOCDMT000040Observation_ClassCode()`

### setClassCode

    void setClassCode(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Class Code`' attribute.

  Parameters:
    `value` - the new value of the 'Class Code' attribute.
  See Also:
    `getClassCode()`

### getMoodCode

    XActMoodDocumentObservation getMoodCode()

  Returns the value of the 'Mood Code' attribute. The default value is `"INT"`. The literals are from the enumeration `XActMoodDocumentObservation`.

  If the meaning of the 'Mood Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mood Code' attribute.
  See Also:
    `XActMoodDocumentObservation`, `isSetMoodCode()`, `unsetMoodCode()`, `setMoodCode(XActMoodDocumentObservation)`, `CDAR2Package.getPOCDMT000040Observation_MoodCode()`

### setMoodCode

    void setMoodCode(XActMoodDocumentObservation value)

  Sets the value of the '`Mood Code`' attribute.

  Parameters:
    `value` - the new value of the 'Mood Code' attribute.
  See Also:
    `XActMoodDocumentObservation`, `isSetMoodCode()`, `unsetMoodCode()`, `getMoodCode()`

### unsetMoodCode

    void unsetMoodCode()

  Unsets the value of the '`Mood Code`' attribute.

  See Also:
    `isSetMoodCode()`, `getMoodCode()`, `setMoodCode(XActMoodDocumentObservation)`

### isSetMoodCode

    boolean isSetMoodCode()

  Returns whether the value of the '`Mood Code`' attribute is set.

  Returns:
    whether the value of the 'Mood Code' attribute is set.
  See Also:
    `unsetMoodCode()`, `getMoodCode()`, `setMoodCode(XActMoodDocumentObservation)`

### isNegationInd

    boolean isNegationInd()

  Returns the value of the 'Negation Ind' attribute.

  If the meaning of the 'Negation Ind' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Negation Ind' attribute.
  See Also:
    `isSetNegationInd()`, `unsetNegationInd()`, `setNegationInd(boolean)`, `CDAR2Package.getPOCDMT000040Observation_NegationInd()`

### setNegationInd

    void setNegationInd(boolean value)

  Sets the value of the '`Negation Ind`' attribute.

  Parameters:
    `value` - the new value of the 'Negation Ind' attribute.
  See Also:
    `isSetNegationInd()`, `unsetNegationInd()`, `isNegationInd()`

### unsetNegationInd

    void unsetNegationInd()

  Unsets the value of the '`Negation Ind`' attribute.

  See Also:
    `isSetNegationInd()`, `isNegationInd()`, `setNegationInd(boolean)`

### isSetNegationInd

    boolean isSetNegationInd()

  Returns whether the value of the '`Negation Ind`' attribute is set.

  Returns:
    whether the value of the 'Negation Ind' attribute is set.
  See Also:
    `unsetNegationInd()`, `isNegationInd()`, `setNegationInd(boolean)`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040Observation_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD